package org.rcisoft.core.datasource.anno;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * Created with family.
 * author: cy
 * Date: 18/11/1
 * Time: 上午10:51
 * description:
 */
@Target({METHOD})
@Retention(RUNTIME)
public @interface CyDsPowerAnno {

    /**
     * 修改数据源为 mysql
     * @return
     */
    public boolean enabled() default true;
}
