package org.rcisoft.core.doc.anno;

import org.rcisoft.core.doc.enums.CyDocEnum;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.SOURCE;

/**
 * Created with family.
 * author: cy
 * Date: 18/10/30
 * Time: 下午9:48
 * description: 暂不使用
 */
@Target({FIELD,ANNOTATION_TYPE,TYPE,METHOD,PARAMETER,CONSTRUCTOR,LOCAL_VARIABLE})
@Documented
@Retention(SOURCE)
public @interface CyDoc {

    CyDocEnum value();

    String desc() default "";
}
