package org.rcisoft.core.exception;


import org.rcisoft.core.result.CyResultExceptionEnum;
import org.rcisoft.core.result.CyResultServiceExceptionEnums;

/**
 * Created by lcy on 17/11/24.
 */
public class CyServiceException extends RuntimeException {
    private static final long serialVersionUID = 3729706443523052156L;

    Integer code;

    public CyServiceException() {
    }

    public CyServiceException(CyResultExceptionEnum resultEnum){
        super(resultEnum.getMessage());
        code = resultEnum.getCode();
    }

    public CyServiceException(String message) {
        super(message);
    }

    public CyServiceException(String message, Throwable cause) {
        super(message, cause);
    }

    public CyServiceException(Integer code, String message) {
        super(message);
        this.code = code;
    }
}
