package org.rcisoft.core.model;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Created with family.
 * author: cy
 * Date: 16/6/22
 * Time: 上午9:13
 * description:
 */
@Data
@NoArgsConstructor
public class CyPersistModel {

    public CyPersistModel(int influence) {
        this.influence = influence;
    }

    private int influence;

    private String influenceReason = "";

    public String getInfluenceReason() {
        return influenceReason;
    }

    private Object data;


    public CyPersistModel(int influence, String influenceReason, Object data) {
        this.influence = influence;
        this.influenceReason = influenceReason;
        this.data = data;
    }

    public CyPersistModel(int influence, String influenceReason) {
        this.influence = influence;
        this.influenceReason = influenceReason;
    }

    /**
     * 单一插入是否成功
     * @return  是否成功
     */
    public boolean isSuccessBySinglePersist(){
        if(1 <= influence)
            return true;
        return false;
    }
}
