package org.rcisoft.core.result;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * Created with family.
 * author: cy
 * Date: 18/8/30
 * Time: 下午2:54
 * description:
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum CyResultSystemExceptionEnums implements CyResultExceptionEnum {

    ERROR(CyResultCode.INTERNAL_SERVER_ERROR.getCode(),"系统错误"),

    FAIL(CyResultCode.FAIL.getCode(),"操作失败"),

    PARAMETER_ERROR(CyResultCode.PARAMETER_ERROR.getCode(),"参数错误"),

    DATA_EXISTS(CyResultCode.DATA_EXISTS.getCode(),"数据已存在"),

    PARAMETER_DECRYPT_ERROR(CyResultCode.PARAMETER_DECRYPT_ERROR.getCode(),"参数加密错误"),

    /**
     * 系统常用  1000起
     */
    EXCEL_IMPORT_HEADER_ERROR(1001,"excel表头信息错误，导入失败"),
    ;

    private Integer code;
    private String message;
}
