package org.rcisoft.core.util;

import com.alibaba.druid.pool.DruidDataSource;
import org.rcisoft.core.druid.CyDruidProperties;

/**
 * Created with family.
 * author: cy
 * Date: 18/10/31
 * Time: 上午10:04
 * description:
 */
public class CyDataSourceUtil {

    /**
     * 根据pro 构建 ds
     * @param properties
     * @return
     */
    public static DruidDataSource  generateDruidByPro(CyDruidProperties properties){
        DruidDataSource dataSource = new DruidDataSource();
        dataSource.setUrl(properties.getUrl());
        dataSource.setUsername(properties.getUsername());
        dataSource.setPassword(properties.getPassword());
        dataSource.setDriverClassName(properties.getDriverClass());
        if (properties.getInitialSize() > 0)
            dataSource.setInitialSize(properties.getInitialSize());
        if (properties.getMinIdle() > 0)
            dataSource.setMinIdle(properties.getMinIdle());
        if (properties.getMaxActive() > 0)
            dataSource.setMaxActive(properties.getMaxActive());
        dataSource.setTestOnBorrow(properties.isTestOnBorrow());

        return dataSource;
    }
}
