package ${basePackage!}.entity;

import lombok.*;

import org.rcisoft.core.entity.CyIdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with ${author} on ${.now}.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "${table.tableName!}")
public class ${table.entityName!}  extends CyIdEntity<${table.entityName!}> {


    <#list table.columnModels as item>
        <#if item.columnNameLowerCamel!='businessId'&&
        item.columnNameLowerCamel!='remarks'&&
        item.columnNameLowerCamel!='createBy'&&
        item.columnNameLowerCamel!='createDate'&&
        item.columnNameLowerCamel!='updateBy'&&
        item.columnNameLowerCamel!='updateDate'&&
        item.columnNameLowerCamel!='delFlag'&&
        item.columnNameLowerCamel!='flag'>

     /**
     * @desc ${item.remarks!}
     * @column ${item.colName!}
     * @default ${item.defaultValue!}
     */
     private ${item.javaType!} ${item.columnNameLowerCamel!};
        </#if>
    </#list>


}

