package org.rcisoft.common.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by lcy on 17/1/22.
 */
public class CyHomeMenuModelCy implements CyCommonMenuModel {

    private static final long serialVersionUID = 492500109809496357L;

    private String id;
    private String parentId;
    private String isActive;  //是否选中  选中active  未选中
    private String name;
    private String href;
    private String target;
    private String icon;

    public String getId() {
        return id;
    }
    @JsonIgnore
    @Override
    public List<CyCommonMenuModel> getCommonModelList() {
        if(CollectionUtils.isEmpty(this.getCyHomeMenuModelList()))
            return null;
        List<CyCommonMenuModel> models = new ArrayList<CyCommonMenuModel>();
        for (CyHomeMenuModelCy home :  this.getCyHomeMenuModelList()) {
            models.add(home);
        }
        return models;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getIsActive() {
        return isActive;
    }

    public void setIsActive(String isActive) {
        this.isActive = isActive;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHref() {
        return href;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    @Override
    public String getModelParentId() {
        return getParentId();
    }

    private List<CyHomeMenuModelCy> cyHomeMenuModelList;

    public List<CyHomeMenuModelCy> getCyHomeMenuModelList() {
        return cyHomeMenuModelList;
    }

    public void setCyHomeMenuModelList(List<CyHomeMenuModelCy> cyHomeMenuModelList) {
        this.cyHomeMenuModelList = cyHomeMenuModelList;
    }

    /**
     * add  home model
     * @param model
     */
    public void addSysMenuModel(CyHomeMenuModelCy model){
        if(null == this.getCyHomeMenuModelList()){
            this.setCyHomeMenuModelList(new ArrayList<CyHomeMenuModelCy>());
        }
        this.getCyHomeMenuModelList().add(model);
    }
}
