package org.rcisoft.core.bean;

import lombok.Data;
import org.rcisoft.core.doc.anno.CyDoc;
import org.rcisoft.core.doc.enums.CyDocEnum;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Created with family.
 * author: cy
 * Date: 18/10/25
 * Time: 下午4:11
 * description:
 */
/*
@Component
@ConfigurationProperties(prefix = "spring.redis")
*/
@Data
@CyDoc(CyDocEnum.USELESS)
public class CyRedisConfigBean {

    private String host;

    private int port;

    @Value("${spring.redis.password}")
    private String password;

    private int timeout;

    private int database;


    @Value("${spring.redis.pool.max-idle:100}")
    private int maxIdle;

    @Value("${spring.redis.pool.max-active:100}")
    private int maxActive;

    @Value("${spring.redis.pool.min-idle:1}")
    private int minIdle;

    @Value("${spring.redis.pool.max-wait:-1}")
    private int maxWait;

}
