package org.rcisoft.core.component;

import org.rcisoft.core.druid.CyDsEnum;

/**
 * Created with family.
 * author: cy
 * Date: 18/10/30
 * Time: 下午11:19
 * description:
 */
public class CyContextHolder {

    private static final ThreadLocal<CyDsEnum> contextHolder = new ThreadLocal<>();

    /**
     * 设置数据源
     * @param type
     */
    public static void setDatabaseType(CyDsEnum type){
        contextHolder.set(type);
    }
    /**
     * 获取数据源
     *
     */
    public static CyDsEnum getDatabaseType(){
        return contextHolder.get();
    }
}
