package org.rcisoft.core.util;

import com.alibaba.fastjson.JSONObject;
import org.rcisoft.core.model.CyDlswPageGridModel;
import org.rcisoft.core.model.dlsw.CyDlswColumn;
import org.rcisoft.core.model.dlsw.CyDlswCondition;
import org.rcisoft.core.model.dlsw.CyDlswSort;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by lcy on 18/3/13.
 *
 * product CyDlswPageGridModel
 */
@SuppressWarnings("rawtypes")
public class CyDlswPageGridUtil {

    /**
     * 将JSON对象映射为Pager对象
     * @param jsonStr 原JSON对象
     * @throws Exception
     */
    public static CyDlswPageGridModel transform(String jsonStr) throws Exception{
        Map<String, Class> classMap = new HashMap<String, Class>();
        classMap.put("parameters", Map.class);
        classMap.put("fastQueryParameters", Map.class);
        classMap.put("advanceQueryConditions", CyDlswCondition.class);
        classMap.put("advanceQuerySorts", CyDlswSort.class);
        classMap.put("exhibitDatas", Map.class);
        classMap.put("exportColumns", CyDlswColumn.class);
        classMap.put("exportDatas", Map.class);
        CyDlswPageGridModel pager = (CyDlswPageGridModel)JSONObject.parseObject(jsonStr, CyDlswPageGridModel.class);
        return pager;
    }
}
