package org.rcisoft.sys.log.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.core.base.CyBaseMapper;
import org.rcisoft.sys.log.entity.SLog;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* Created with wsj on 2018-10-25 9:21:45.
*/
@Repository
public interface SLogRepository extends CyBaseMapper<SLog> {

    /**
    * 分页查询 sLog
    *
    */
    @Select("<script>select * from s_log where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<SLog> querySLogs(SLog sLog);
}

