package org.rcisoft.sys.log.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
* Created with wsj on 2018-10-25 9:21:45.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "s_log")
public class SLog  extends CyIdEntity<SLog>{

     private static final long serialVersionUID = -6981475412575864906L;
     /**
     * @desc 日志描述
     * @column message
     * @default 
     */
      String message;

     /**
     * @desc 日志类型：（0：系统事件  1：业务事件）
     * @column log_event
     * @default 
     */
     private String logEvent;

     /**
     * @desc 日志状态：（0：成功事件  1：失败事件）
     * @column log_status
     * @default 
     */
     private String logStatus;

     /**
     * @desc 异常
     * @column exception
     * @default 
     */
     private String exception;

     /**
     * @desc 日志级别: (0: error  1: info)
     * @column level
     * @default 
     */
     private String level;

     /**
     * @desc 详细信息
     * @column detail
     * @default 
     */
     private String detail;

     /**
     * @desc 排序依据
     * @column sort
     * @default 
     */
     private String sort;


}

